Subject: [bug#77013] [PATCH] machine: hetzner: Allow connections using ssh-agent.

From: Roman Scherer <[email-masked]>
Date: Sun, 06 Apr 2025 12:47:32 +0200

Hi Ludo,

sorry, I missed this one. I'm fine with the change.

Thanks for committing it.

Roman

Ludovic Courtès <[email-masked]> writes:

> Hi Sergey,
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Sergey Trofimov <[email-masked]> skribis:
>>
>>> * gnu/machine/hetzner.scm (<hetzner-configuration>): Add ssh-public-key.
>>> * doc/guix.texi (System Configuration)[hetzner-configuration]: Document it.
>>
>> [...]
>>
>>> -@item @code{ssh-key}
>>> -The file name of the SSH private key to use to authenticate with the
>>> +@item @code{ssh-key} (default: @code{#f})
>>> +If specified, the path to the SSH private key to use to authenticate with the
>>
>> s/path/file name/
>>
>> At first sight the rest LGTM but I’ll let Roman comment.
>
> No news from Roman so I made the change above and applied it.
>
> Thanks,
> Ludo’.